package de.intevation.flys.artifacts.access;

import java.util.Date;

import de.intevation.flys.artifacts.FLYSArtifact;
import de.intevation.flys.artifacts.model.Timerange;


public class HistoricalDischargeAccess extends RiverAccess {

    public static final String DATA_EVALUATION_TIME = "year_range";

    private Timerange evaluationTimerange;

    public HistoricalDischargeAccess(FLYSArtifact artifact) {
        super(artifact);
    }

    public Timerange getEvaluationTimerange() {
        if (evaluationTimerange == null) {
            long[] startend = getLongArray(DATA_EVALUATION_TIME);

            if (startend != null && startend.length > 1) {
                Date start = new Date(startend[0]);
                Date end = new Date(startend[1]);

                evaluationTimerange = new Timerange(start, end);
            }
        }

        return evaluationTimerange;
    }
}
